$(document).ready(function() {
	$('.tree').each(function() {
		bindTree($(this));
	});
});


function bindTree($tree) {

	$tree.children('li').each(function() {
		if(!$(this).hasClass('open')) {
			$(this).addClass('close').addClass('tree__close');
		}
		$(this).children('.tree__leave').click(function() {
			//e.preventDefault();
			console.log('c');
			if(!$(this).parent().hasClass('final')) {
				$(this).parent().toggleClass('close').toggleClass('tree__close'); 
			}
		});
	});

	$tree.children('.tree__leave').each(function() {
		if(!$(this).parent().find('.tree').length) {
			$(this).parent().removeClass('close').removeClass('tree__close').addClass('final');
		}
	});
}
